Market Data

data-securitiesByBoard

Retrieve the list of securities by filter criteria. The client may provide only one of the three parameters symbol, board, or index to filter the list of securities.

GET
/api/v3/data/securitiesByBoard

Authorization

Bearer
AuthorizationBearer <token>

Enter the JWT token in the format Bearer <token>.

In: header

Header Parameters

Content-Typestringrequired

The content format of the request body, use "application/json".

User-Agentstringoptional

Information about the client sending the request.

Accept-Languagestringoptional

The desired response language. If this header is absent, the system defaults to en.

Query Parameters

symbolstringoptional

The securities symbol to query. Provide only one of the three parameters symbol, board, or index.

boardstringoptional

The exchange code for which to retrieve the list of securities. The value can be `HOSE`, `HNX`, or `UPCOM`.

indexstringoptional

The index code for which to retrieve the list of securities.

Response Headers

X-RATELIMIT-LIMITstringoptional

The request limit for the period.

X-RATELIMIT-REMAININGstringoptional

The number of requests remaining in the current period.

X-RATELIMIT-RESETstringoptional

The time at which the request limit resets.

Response Body

application/json

application/json

curl -X GET "https://api.ssi.com.vn/api/v3/data/securitiesByBoard" \  -H "Content-Type: application/json"

Success

[
  {
    "symbol": "string",
    "symbolNameVi": "string",
    "symbolNameEn": "string",
    "board": "HOSE",
    "lotSize": "string",
    "maturityDate": "string",
    "firstTradingDate": "string",
    "lastTradingDate": "string",
    "cwUnderlyingSymbol": "string",
    "cwExercisePrice": "string",
    "cwExecutionRatio": "string",
    "listedShare": "string",
    "icbCode": "string",
    "icbName": "string",
    "iIndex": "string",
    "iNav": "string",
    "openInterest": "string",
    "settlementPrice": "string"
  }
]

Invalid request.

{
  "code": "400",
  "msg": "Invalid request"
}